Kaip įdiegti „AceStream“ į „Linux“ ir nemirti bandant

Tie iš mūsų, kurie mėgsta sportą ir neturi prieigos prie visų dabartinių sporto kanalų, paprastai susiduria su problema, kad norėdami juo mėgautis, turime naudotis įvairiais puslapiais, kurie perduoda internetinės rungtynės, dauguma jų prašo įdiekite „AceStream“, kurį paprastai yra šiek tiek sudėtinga įdiegti „Linux“.

Šiame vadove išmokysime, kaip įdiekite „AceStream“ į „Linux“ nemiršdamas bandymo, pateikdamas šiandien labiausiai paplitusių problemų sprendimus. Už jo naudojimą ir prieinamą turinį esate atsakinga pati.

Kas yra „AceStream“?

„AceStream“ yra daugialypės terpės platforma gana novatoriškas, o tai pakėlė garso ir vaizdo įrašų atkūrimą internete į aukštesnį lygį. Tam ji įdiegė universalų daugialypės terpės failų įkėlimo tvarkyklę, kurioje naudojamos pažangiausios P2P technologijos, garantuojančios efektyvų duomenų saugojimo ir perdavimo procesą.

„Ace Stream“ programinė įranga siūlo mums daugybę privalumų, kuriuos galime pabrėžti:

  • Galimybė žiūrėti internetines transliacijas (TV, nestandartinius srautus, filmus, animacinius filmus ir kt.), Turint aukštą garso ir vaizdo kokybę.
  • Klausykitės muzikos internete tokiu formatu, kuris nepraranda jokios kokybės.
  • Peržiūrėkite torrentus internete, nelaukdami, kol juos visiškai atsisiųsite.
  • Peržiūrėkite turinį nuotoliniuose įrenginiuose („Apple TV“, „Chromecast“ ir kt.) Naudodamiesi ryšio protokolais, tokiais kaip „AirPlay“, „Google Cast“ ir kt.
  • Leidžia integruoti su įvairiomis programomis. Įdiekite „AceStream“ į „Linux“

Kaip įdiegti „AceStream“ į „Linux“

Norėdami įdiegti „AceStream“ sistemoje „Linux“, turime atlikti įvairius veiksmus, atsižvelgdami į jūsų naudojamą distro, daugiausia dėmesio skirsime „Arch Linux“ ir „Ubuntu“, tačiau tikimės, kad ateityje galėsime jį įdiegti ir kituose distroso skyriuose.

Įdiekite „AceStream“ „Arch Linux“ ir dariniuose

Pagrindinė priežastis, kodėl aš padariau šį straipsnį, yra ta, kad daugeliui kilo problemų diegiant „AceStream“ „Arch Linux“, „Antergos“, „Manjaros“ ir jų dariniuose. Pagrindinė priežastis yra ta, kad įskiepio pkgbuild „acestream-mozilla-plugin“ Tai suteikia klaidą diegiant, sprendimas yra labai paprastas.

Mes ketiname įdiegti „acestream-mozilla-plugin“ kuris mus taip pat įdiegs „acestream“ variklis y „acestream-player-data“ kokios pakuotės reikalingos atgaminti „AceStream“ iš „Firefox“.

Pirmiausia turime atidaryti terminalą ir įvykdyti šią komandą:
gpg --keyserver pgp.mit.edu --recv-keys FCF986EA15E6E293A5644F10B4322F04D67658D8

Tai padės išspręsti patikrinimo problemą, kuri neleidžia įdiegti priklausomybės, kuri yra būtina norint įdiegti „acestream-mozilla-plugin“.

Tada mes vykdome šią komandą

yaourt -S acestream-mozilla-plugin

Pakartotiniais atvejais mūsų paklaus, ar norime įdiegti įvairias priklausomybes, turime pasakyti visiems taip.

Įdiekite „AceStream“ „Ubuntu“ ir jo dariniuose

Įdiekite „AceStream“ į „Ubuntu 14.04“ ir darinius

Vartotojams, naudojantiems „ubuntu“ ir išvestinius įrenginius iki 14.04 versijos, „AceStream“ įdiegimas bus gana paprastas, jiems tereikia atlikti šias komandas iš terminalo:

echo 'deb http://repo.acestream.org/ubuntu/ trusty main' | sudo tee /etc/apt/sources.list.d/acestream.list sudo wget -O - http://repo.acestream.org/keys/acestream.public.key | sudo apt-key add - sudo apt-get update sudo apt-get install acestream-full

Įdiekite „AceStream“ į „Ubuntu 16.04“ ir darinius

Tie, kuriems teks šiek tiek daugiau kovoti, yra „Ubuntu 16.04“ ir jų darinių vartotojai, nes „acestream“ nepalaiko šios versijos, tačiau dėl šios priežasties straipsnis, Man pavyko jį įdiegti.

Pirmas dalykas, kurį ketiname padaryti, yra atsisiųsti ir įdiegti kai kurias priklausomybes, kurių negalėsite atsisiųsti iš oficialių saugyklų, būtinai įdiekite tinkamas, kad atitiktų jūsų platintojo architektūrą:

64 bitų architektūra:

  1. Atsisiųskite ir įdiekite libgnutls-deb0-28_3.3.15-5ubuntu2_amd64.deb galite tai padaryti naudodamiesi šia nuoroda: http://launchpadlibrarian.net/216005292/libgnutls-deb0-28_3.3.15-5ubuntu2_amd64.deb
  2. Atsisiųskite ir įdiekite tokia priklausomybe:  acestream-player-compat_3.0.2-1.1_amd64.deb; acestream-engine_3.0.3-0.2_amd64.deb; acestream-player-data_3.0.2-1.1_amd64.deb; acestream-player_3.0.2-1.1_amd64.deb Kiekvieną iš jų galite atsisiųsti iš šios nuorodos: https://drive.google.com/folderview?id= … e_web#list

32 bitų architektūra:

  1. Atsisiųskite ir įdiekite libgnutls-deb0-28_3.3.15-5ubuntu2_i386.deb galite tai padaryti naudodamiesi šia nuoroda: http://launchpadlibrarian.net/216005191/libgnutls-deb0-28_3.3.15-5ubuntu2_i386.deb
  2. Atsisiųskite ir įdiekite tokia priklausomybe: acestream-player-compat_3.0.2-1.1_i386.deb; acestream-engine_3.0.3-0.2_i386.deb; acestream-player-data_3.0.2-1.1_i386.deb; acestream-player_3.0.2-1.1_i386.deb Kiekvieną iš jų galite atsisiųsti iš šios nuorodos: https://drive.google.com/folderview?id= … e_web#list

Tada turime tęsti įprastą „AceStream“ diegimą, kaip tai darėme 14.04 versijoje, atidaryti terminalą ir paleisti:

echo 'deb http://repo.acestream.org/ubuntu/ trusty main' | sudo tee /etc/apt/sources.list.d/acestream.list sudo wget -O - http://repo.acestream.org/keys/acestream.public.key | sudo apt-key add - sudo apt-get update sudo apt-get install acestream-full

Kai kuriais atvejais būtina pradėti paslaugą acestream-engine.service, tam mes atliekame šias komandas iš terminalo:

įjungti „acestream-engine.service“

Tikimės, kad naudodamiesi šia pamoka galėsite mėgautis šiuo puikiu daugialypės terpės perdavimo protokolu, kuris išnaudoja visas P2P technologijos galimybes.


Straipsnio turinys atitinka mūsų principus redakcijos etika. Norėdami pranešti apie klaidą, spustelėkite čia.

41 komentarai, palikite savo

Palikite komentarą

Jūsų elektroninio pašto adresas nebus skelbiamas. Privalomi laukai yra pažymėti *

*

*

  1. Atsakingas už duomenis: Miguel Ángel Gatón
  2. Duomenų paskirtis: kontroliuoti šlamštą, komentarų valdymą.
  3. Įteisinimas: jūsų sutikimas
  4. Duomenų perdavimas: Duomenys nebus perduoti trečiosioms šalims, išskyrus teisinius įsipareigojimus.
  5. Duomenų saugojimas: „Occentus Networks“ (ES) talpinama duomenų bazė
  6. Teisės: bet kuriuo metu galite apriboti, atkurti ir ištrinti savo informaciją.

  1.   Julio Cesar Campos sakė

    Na, bet bent jau „archlinux“, ir tai buvo mano atvejis, kurio jums reikia: „systemctl start acestream-engine.service“ ir „systemctl enable acestream-engine.service“, kad jis veiktų.

    1.    driežas sakė

      Ar bandėte jį iš „Firefox“, ar naudojote kitą naršyklę?

  2.   „UserDebian“ sakė

    Ar kas nors žino, kaip pasiekti, kad jis veiktų „Debian 9“?

  3.   Julio Cesar Campos sakė

    „Firefox“ „Archlinux“

  4.   gekoksas sakė

    Nežinau, ar mano ankstesnis komentaras buvo paskelbtas ... Aš kartoju! Nežinau, kiek valandų reikia paleisti prakeiktą komandą terminale, ir aš įdėjau –noconfirm, ir galų gale tai neveikia!
    dar vienas nenaudingas įrašas!

    bandymas įdiegti „Manjaro“

    1.    driežas sakė

      Gerbiamasis, kad tai neveikė tau, jis puikiai veikė man, vis tiek pabandyk atlikti šias 2 komandas:
      "Systemctl start acestream-engine.service" ir "systemctl įgalinti acestream-engine.service"

  5.   José sakė

    geras

    Man pavyko atlikti visus veiksmus be jokių problemų. Bet bandant paleisti paslaugą iš terminalo, man kilo dvi nesėkmės;
    systemctl paleisti acestream-engine.service
    Nepavyko paleisti „acestream-engine.service“: nerasta „acestream-engine.service“.
    systemctl įgalinti acestream-engine.service
    Nepavyko atlikti operacijos: tokio failo ar katalogo nėra

    1.    gustavo sakė

      Lygiai tas pats nutiko ir man. terminalas atmeta man tas komandas su tomis nesėkmėmis.

  6.   Juanas M sakė

    Labai ačiū už įrašą! Jei naudojate 16.10 bitų „Ubuntu 64“, negalėsite įdiegti „acestream-player-data_3.0.2-1.1_amd64.deb“. Pirmiausia jie turi atsisiųsti ir įdiegti šiuos paketus:

    libavcodec-ffmpeg56_2.8.6-1ubuntu2_amd64.deb
    liblivemedia50_2016.02.09-1_amd64.deb
    libswresample-ffmpeg1_2.8.6-1ubuntu2_amd64.deb
    libavformat-ffmpeg56_2.8.6-1ubuntu2_amd64.deb
    libpng12-0_1.2.54-1ubuntu1_amd64.deb
    libswscale-ffmpeg3_2.8.6-1ubuntu2_amd64.deb
    libavutil-ffmpeg54_2.8.6-1ubuntu2_amd64.deb
    libpostproc-ffmpeg53_2.8.6-1ubuntu2_amd64.deb
    libwebp5_0.4.4-1.1_amd64.deb

    Tikriausiai reikalinga kita priklausomybė, kuri yra repose.
    Sveiki atvykę!

  7.   Km sakė

    Geras.
    „Firefox 52“, kaip ir daugelis kitų „NPAPI“ papildinių, nustojo veikti „acestream-mozilla-plugin“.

  8.   Darco sakė

    Kitas labai geras ir paprastas variantas yra naudoti doką ir tapti savo operacinės sistemos agnostiku. Naudodami aceproksi, galite ją atkurti-

    Aš parašiau mažą pamoką ir scenarijų, kad palengvinčiau vykdymą.
    https://gist.github.com/alex-left/7967dac44f2d2e31eabba2fae318a402

  9.   Deividas Martinas sakė

    Kaip jūs įdiegiate iš „Ubuntu 16.04“, sakydami, kad atsisiųskite ir įdiekite tuos failus, kaip juos įdiegti? Kai juos atsisiunčiu ir ištraukiu, vieni yra tik „libreoffice“ failas, o kiti - nežinau, kaip juos „įdiegti“.
    Iš anksto dėkoju ir sveikinu.
    Davidas.

  10.   Oho sakė

    Arba raktai vėl neveikia, arba paketuose yra kokia nors klaida, tačiau arch ir manjaro neįmanoma jų įdiegti.
    Bandant įdiegti priklausomybę (qwebquit) ar pan., Ji eina į kilpą ir niekaip negali.
    Ar kas nors rado sprendimą?
    Ačiū

    1.    Aleksandras sakė

      Sveiki, kad įdiegtumėte „arch linux“, turite atlikti šiuos veiksmus:
      -Įdiekite paketą „acestream-launcher“ iš „yaourt“ naudodami „yaourt -S acestream-launcher“ (paketas, kurį įgalinsime toliau, jums bus automatiškai atsisiunčiamas)
      -Įgalinti „acestream-engine.service“, mes įeiname į terminalą ir „ROOT“ režimu pateikiame šiuos veiksmus
      -systemctl paleisti acestream-engine.paslaugą
      -systemctl įgalinti acestream-engine.service
      Po to aš iš naujo paleidžiau įrangą, nežinau, ar ji bus reikalinga, bet tik tuo atveju
      -Tai turėtų pakakti, bet naujausiuose „Arch“ atnaujinimuose jie kažką įsuko ir tai neveikia, todėl jie ieškojo laikino sprendimo, kuris yra atsisiųsti failą.
      - https://archive.archlinux.org/packages/p/python2-m2crypto/python2-m2crypto-0.23.0-2-x86_64.pkg.tar.xz
      Fuente: https://aur.archlinux.org/packages/acestream-launcher/ (dėl komentarų)
      kai atsisiųsite, einame į terminalą ir einame į aplanką, kuriame jį atsisiuntėme,
      Tęsiame ją diegdami naudodami „sudo pacman -U python2-m2crypto-0.23.0-2-x86_64.pkg.tar.xz“ duoda klaidą, viskas

      PS: paaiškinkite, kad sudo pacman -U, o ne -S, nes tai vietinis paketas, gautas iš makepkg

      1.    Oho sakė

        Labai ačiū už susidomėjimą.
        Aš tai bandžiau tiek kartų, kad jau žinojau atmintines ir komentarus apie paketus, kai diegiu su „yaourt“. Vykdysiu jūsų paleidimo priemonės patarimą ir pažiūrėsiu, ar man pasisekė. Aš jums pasakysiu.
        Pakartoju padėką

        Felipe

        1.    Oho sakė

          Vienaip ar kitaip tai neveikia. Bandžiau su nuoroda, kurią įdėjote į komentarus, bet ji jos neišsprendžia, atpažįsta nuorodą, suteikia galimybę pasirinkti programą, aš pasirenku „acestream-launcher“, bet VLC neatidaro.
          Pultelyje man pateikiamas toks atsakymas.

          Failas «/usr/lib/python3.6/site-packages/psutil/init.py », eilutė 1231, _send_signal
          os.kill (self.pid, sig)

          Turėsime laukti naujų atnaujinimų.
          Ačiū už jūsų pagalbą.

  11.   Oho sakė

    Po naujo atnaujinimo konsolėje pateikiamas toks atsakymas.

    acestream-launcher acestream://0cec6c0299c99f45c1859398d150c3a48e6d8b2e
    „Acestream“ variklis veikia.
    2017-07-28 18: 16: 59,615 | MainThread | acestream | klaida paleidimo metu
    „Traceback“ (paskutinis paskutinis skambutis):
    Failas «core.c», 1590 eilutė, in
    Failas «core.c», 144 eilutė, in
    Failas «core.c», 2 eilutė, in
    ImportError: negalima importuoti vardo __m2crypto
    Autentifikuojant „Acestream“ įvyko klaida!
    „Media Player“ neveikia ...

    Mes tobulėjame, dabar jis pripažįsta srautą, tačiau libcrypto toliau kovoja.

    1.    Oho sakė

      Aš bandžiau įdiegti paketą, kurį rekomenduojate man atsiųstoje nuorodoje.

      - https://archive.archlinux.org/packages/p/python2-m2crypto/python2-m2crypto-0.23.0-2-x86_64.pkg.tar.xz

      Tai veiksmingai išsprendžia problemą, „vlc“ atsidaro ir „Acestream“ veikia.
      Labai ačiū už Jūsų pagalbą-

      1.    Aleksandras sakė

        Sveiki, atsiprašau už vėlavimą, buvo labai keista, kad jums tai neveikė, kai tai padarė, aš esu „Arch plasma“, džiaugiuosi, kad tai jums padėjo, tam mes ir esame

        Kitame mano turimame „Fedora“ platinime yra „Wine x“, kuris imituoja „acestream“, skirtą „Windows xD“, jei jūs einate į kitą platintoją ar toje pačioje „Arch“, mane stebina tai, kad net „Debian“ jie neturi šių paketų ...

      2.    skanumynų gamintojas01 sakė

        Sveiki, ir failas yra tai, kaip jis yra įdiegtas, aš vis dar naujokas, sveikinimas

        1.    Oho sakė

          sudo pacman -U python2-m2crypto-0.23.0-2-x86_64.pkg.tar.xz

          Jis tai pateikia ankstesniame komentare

  12.   chemabai sakė

    Vakar ją įdiegiau kaip „Sde“ paketą „Kde Neon 5.8“ ir buvau nustebintas, kaip paprastai ir greitai jis man veikė. Būtų gerai, jei atnaujintumėte straipsnį, nes nėra palyginimo, procesas yra daug supaprastintas.

    sudo apt install snapd → įdiekite snap paketų valdymo sistemą (jei jos neturite įdiegę)
    suraskite „acestream“ → patikrinkite, ar saugyklose turime programą (ją turėtų turėti visi „ubuntu“ dariniai)
    sudo snap įdiegti acestreamplayer

    saludos

    1.    Antonio Manzano sakė

      Tu teisus. Aš ką tik įdiegiau jį kubuntu 17.10, nes čia rodomas metodas yra visiškai neįmanomas. Labai ačiū

      1.    Tėti sakė

        negalioja i386 architektūrai

    2.    sie9k sakė

      Tai buvo vienintelis būdas jį įdiegti „Lubuntu 16.04.4“, tačiau man nėra galimybės išsaugoti konfigūracijos failo, todėl man reikia sukonfigūruoti parametrą, kad jis veiktų kartu su „Serviio“. Turite idėjų tai išspręsti?

  13.   José Antonio sakė

    Labai geras įrašas. Būtina perskaityti „Linux“ naujokų svetainę.

  14.   piteris naujokas sakė

    Kaip jį įdiegtumėte „AntiX 16“ (tai yra „Linux“ paskirstymas)?

    Aš bandžiau kaip „Arch Linux“ ir išvestines priemones, bet esu toks naujokas, turiu suklysti

  15.   Aleksandras sakė

    Sveiki, su sna paketais, kuriuos komentare komentuoja aukščiau esantis kolega, tapo lengviau ne tik šiems paskirstymams, bet ir daugeliui. Su šiais paketais suderinami paskirstymai yra čia:
    https://snapcraft.io/

    „Debian“ tai būtų taip:
    -sudo apt įdiekite snapd
    -sudo spartusis diegimo šerdis
    -sudo spartusis diegimas acestreamplayer
    Arche ir jo dariniuose:
    -sudo pacmanas -S snapd
    -sudo systemctl įjungti -dabar snapd.socket
    -sudo spartusis diegimas acestreamplayer

    „Arch“ (plazma) turėjau paleisti iš naujo, kad atsirastų įdiegti paketai, jei jis nepasirodo, jūs jau žinote, ką daryti.

    Spėju, kad „Ubuntu“ ir išvestiniuose produktuose tai bus panašus į partnerį, kuris jį įdiegė aukščiau komentaruose su „KDE neon“.

    Įdomu tai, kad „Gnome“ su „Debian“ jis atrodo gana negražus ir mažai integruojasi su GTK, tačiau „Arch“ plazmoje jis gana gerai integruojasi. Svarbu tai, kad jis matomas už estetikos ribų.

    1.    William sakė

      ar tai įdiegia jūsų „acestream“ variklį?
      Ne aš

      1.    Aleksandras sakė

        Sveiki, ne, ji jo neįdiegia ir nereikia, su „snap“ paketais visos priklausomybės yra aprėpiamos, jis turi veikti taip arba taip.

    2.    txuber sakė

      Sveikas, Alejandro, pažiūrėk, gal galėtum man padėti
      [txuber @ manjaro ~] $ sudo systemctl įjungti –dabar snapd.socket
      Nepavyko įgalinti vieneto: Vieneto failo \ xe2 \ x80 \ x93now.service nėra.
      apie manjaro „Manjaro XFCE Edition“ (17.0.4) x64

      1.    Aleksandras sakė

        Sveiki, Manjaro, kad tai nėra gryna „Arch“ ir dalykas gali šiek tiek pasikeisti, gali būti, kad jis jau įjungtas ir to daryti nereikia, manau, kad jūs jau bandėte praleisti tą žingsnį ...

  16.   debian sakė

    Įdiegus ką daryti? Kadangi tūzų grotuvas nėra įdiegtas, aš nežinau, kaip priversti jį veikti.
    Kažkas man padės?

    1.    Oho sakė

      Jei tai, ką įdiegėte, yra „acestream“ paleidimo priemonė, kai spustelėsite nuorodą, „acestream“ paklaus jūsų, su kuria programa norite atidaryti nuorodą, jūs tai pasakysite naudodami VLC, o tai atliks tūzų grotuvo funkcijas

      1.    debian sakė

        Sveiki. Visų pirma, labai ačiū už pagalbą. Pakomentuoju. Aš įdiegiau „acestream snap“ paketą „Debian 9“ su „gnome“. Būdamas arenavisión, ko aš to ir noriu, spusteliu nuorodą „acestream“ ir pasirodo langas, kuriame pateikiamos dvi parinktys. Pirmoji yra „acestreamengine“, kad jei spusteliu tai, ji nieko nedaro, o antra - renkuosi kitą programą, aš jai suteikiu pasirinkti, bet įdiegtos programos neatsidaro, atsidaro mano namų aplankas, todėl nežinau, kaip pasirinkti „vlc“.

        Pasisveikinimas.

        1.    Aleksandras sakė

          Su „acestream-launcher“ tai nėra gerai, geriau įdiekite „Snap“ paketą, kaip paaiškinu aukščiau pateiktame komentare.

  17.   piteris naujokas sakė

    Bandau įdiegti „snapd“ paketą, bet jis man neleido:

    Sudo apt įdiegti snapd
    Skaitomas paketų sąrašas ... Atlikta
    Kuriamas priklausomybės medis
    Skaitoma būsenos informacija ... Atlikta
    E: „Snapd“ paketo rasti nepavyko

    ką aš darau?

  18.   Alf sakė

    Labai ačiū, tai yra viena iš programų, kurią naudojau „Windows“ sistemoje, ir norėjau, kad ji būtų „Linux“

  19.   Oskaras sakė

    Ačiū Chemabui ir Alejandro! Puikiai tinka su „Ubuntu 17.10“
    Sudo apt įdiegti snapd
    greitai suraskite srautą
    sudo snap įdiegti acestreamplayer
    Štai ir viskas!
    Neįtikėtina tai, kad jūs einate į oficialią svetainę ir jie atsiunčia jums pranešimą savo forume nuo 2014 m.! Ir kuriame jie mini tik iki „Ubuntu 13.04“!

  20.   Marco Barria sakė

    gerai, kaip sakoma ankstesniuose komentaruose, jis puikiai veikia su „snapd in arch“:

    sudo pacman -S snapd
    sudo systemctl įjungti snapd.socket
    perkrovimo
    sudo snap įdiegti acestreamplayer
    perkrovimo

    ir pasiruošęs:

  21.   mchavezas sakė

    sveiki, ar yra būdas įdiegti tūzų srautą, nebūnant programuotoju ... kaip daroma su „Windows“